Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 584874 - RFE: A method to deploy individual files from a configuration channel
RFE: A method to deploy individual files from a configuration channel
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
: FutureFeature
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2010-04-22 11:51 EDT by Aron Parsons
Modified: 2016-01-04 00:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-19 16:11:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aron Parsons 2010-04-22 11:51:13 EDT
Description of problem:
There are no methods in the 10.8 API to deploy a single file from a configuration channel.  The only method available, system.config.deployAll, may not be desirable in a production environment when only certain files need to be pushed out.

Version-Release number of selected component (if applicable):
Satellite 5.3.0
Comment 1 Aron Parsons 2010-07-19 16:11:08 EDT
Not needed.  It's probably a better practice to deploy all configuration files at once to ensure that everything is up-to-date.

Note You need to log in before you can comment on or make changes to this bug.